Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client
Interface BaseConstant

All Superinterfaces:
  com.google.gwt.i18n.client.Constants, ImageConstant, com.google.gwt.i18n.client.Localizable

All Known Subinterfaces:
  Constant

public interface BaseConstant
extends ImageConstant

Author:
  Alexander Yuhimenko

Method Summary
`String` | `dictionary()`
`String` | `dnBackupDataMenuItemText()`
`String` | `dnCardDetailsTabTitleText()`
`String` | `dnCardListTitleText()`
`String` | `dnCreateCardDescriptionText()`
`String` | `dnDetailsCardActionsLabelText()`
`String` | `dnDetailsCategoryChooserLabelText()`
`String` | `dnDetailsConfirmDeleteCardDialogDescriptionText()`
`String` | `dnDetailsConfirmDeleteCardDialogTitleText()`
`String` | `dnDetailsConfirmDuplicationCardDialogCategoryLabelText()`
`String` | `dnDetailsConfirmDuplicationCardDialogDescriptionText()`
`String` | `dnDetailsConfirmDuplicationCardDialogNameLabelText()`
`String` | `dnDetailsConfirmDuplicationCardDialogTitleText()`
`String` | `dnDetailsConfirmNewCategoryDialogDescriptionText()`
`String` | `dnDetailsConfirmNewCategoryDialogTitleText()`
`String` | `dnDetailsNewCategoryMenuItemText()`
`String` | `dnDetailsPinLockedLabelText()`
`String` | `dnEditCardDescriptionText()`
`String` | `dnEditCardTitleText()`
`String` | `dnHistoryDescriptionLabelText()`
`String` | `dnHistoryPaginationLabel1Text()`
`String` | `dnHistoryPaginationLabel2Text()`
`String` | `dnHistorySitesTableUpdatedColumnTitleText()`
`String` | `dnHistorySitesTableUrlColumnTitleText()`
`String` | `dnHistoryTabTitleText()`
`String` | `dnImportCardMenuItemText()`
`String` | `dnLevel0ClaimTitleText()`
`String` | `dnLevel1ClaimTitleText()`
`String` | `dnNewCardTitleText()`
`String` | `dnPersonaCardText()`
`String` | `dnPreferencesMenuItemText()`
`String` | `dnRestoreDataMenuItemText()`
`String` | `dnSaveButtonText()`
`String` | `dnWelcomeText()`
`String` | `headerTitleText()`
`String` | `ip2LocationServiceAddress()`
`String` | `messageErrorNumber()`
`String` | `messageSomeErrors()`
`String` | `servletNameParameterCardImageData()`
`String` | `servletPaintLogoAddress()`
`String` | `uriHelpPageIndex()`
`String` | `uriImgAccountButton()`
`String` | `uriImgAccountButtonOver()`
`String` | `uriImgAccountButtonPrsed()`
`String` | `uriImgCancelButton()`
`String` | `uriImgCancelButtonOver()`
`String` | `uriImgCancelButtonPrsed()`
`String` | `uriImgCardWizardButton()`
`String` | `uriImgCardWizardButtonOver()`
`String` | `uriImgCardWizardButtonPrsed()`
`String` | `uriImgChoosePictureButton()`
`String` | `uriImgChoosePictureButtonOver()`
`String` | `uriImgChoosePictureButtonPrsed()`
`String` | `uriImgDatePicker()`
`String` | `uriImgDetailsCopyCardButton()`
`String` | `uriImgDetailsCopyCardButtonOver()`
`String` | `uriImgDetailsCopyCardButtonPrsed()`
`String` | `uriImgDetailsDeleteCardButton()`
`String` | `uriImgDetailsDeleteCardButtonOver()`
`String` | `uriImgDetailsDeleteCardButtonPrsed()`
`String` | `uriImgDetailsEditCardButton()`
`String` | `uriImgDetailsEditCardButtonOver()`
`String` | `uriImgDetailsEditCardButtonPrsed()`
`String` | `uriImgDetailsNextCardButton()`
`String` | `uriImgDetailsNextCardButtonOver()`
`String` | `uriImgDetailsNextCardButtonPrsed()`
`String` | `uriImgDetailsPreviousCardButton()`
`String` | `uriImgDetailsPreviousCardButtonOver()`
`String` | `uriImgDetailsPreviousCardButtonPrsed()`
`String` | `uriImgHelpButton()`
`String` | `uriImgHelpButtonOver()`
`String` | `uriImgHelpButtonPrsed()`
`String` | `uriImgHistoryNextPageButton()`
`String` | `uriImgHistoryNextPageButtonOver()`
`String` | `uriImgHistoryNextPageButtonPrsed()`
`String` | `uriImgHistoryPreviousPageButton()`
`String` | `uriImgHistoryPreviousPageButtonOver()`
`String` | `uriImgHistoryPreviousPageButtonPrsed()`
`String` | `uriImgLogonButton()`
`String` | `uriImgLogonButtonOver()`
`String` | `uriImgLogonButtonPrsed()`
`String` | `uriImgLogoutButton()`
`String` | `uriImgLogoutButtonOver()`
`String` | `uriImgLogoutButtonPrsed()`
`String` | `uriImgSaveButton()`
`String` | `uriImgSaveButtonOver()`
`String` | `uriImgSaveButtonPrsed()`
`String` | `uriImgToolsButton()`
`String` | `uriImgToolsButtonOver()`
`String` | `uriImgToolsButtonPrsed()`

Methods inherited from interface org.eclipse.higgins.ics.gwt.base.client.ImageConstant
`uriImgArrowLeftBlue, uriImgArrowLeftGray, uriImgArrowRightGray, uriImgArrowRigthBlue, uriImgBgCardDetailToolbar, uriImgBgHeader, uriImgBgHeaderCardDetail, uriImgBgHeaderMyCards, uriImgBgHeaderOverlayForm, uriImgBgMyCardHover, uriImgBigArrowLeftBlue, uriImgBigArrowRigthBlue, uriImgBox, uriImgBoxOverlay, uriImgBoxOverlayRt, uriImgBoxOverlayTop, uriImgBoxOverlayTopRt, uriImgBoxRt, uriImgBoxTop, uriImgBoxTopRt, uriImgButtonAdd, uriImgButtonAddGray, uriImgButtonEdit, uriImgButtonEditHover, uriImgButtonEditRt, uriImgButtonEditRtHover, uriImgButtonPrimary, uriImgButtonPrimaryHover, uriImgButtonPrimaryRt, uriImgButtonPrimaryRtHover, uriImgButtonSecondary, uriImgButtonSecondaryHover, uriImgButtonSecondaryRt, uriImgButtonSecondaryRtHover, uriImgButtonToolbar, uriImgButtonToolbarHover, uriImgButtonToolbarRt, uriImgButtonToolbarRtHover, uriImgDeleteCategory, uriImgEmpty, uriImgIconAlertLarge, uriImgIconCardPassword, uriImgIconCardPasswordHover, uriImgIconCardPersona, uriImgIconCardPersonaHover, uriImgIconCardWebsite, uriImgIconCardWebsiteHover, uriImgIconLock, uriImgLogoIcardSelector, uriImgLogoParity, uriImgMenuBlueWhite, uriImgMenuGrayWhite, uriImgMenuSpinClosed, uriImgMenuSpinOpen, uriImgMenuSpinUp, uriImgOptions, uriImgProgress, uriImgTab, uriImgTabHover, uriImgTabOn, uriImgTabOnRt, uriImgTabRt, uriImgTabRtHover`

Method Detail

### dictionary

    public String dictionary()

### headerTitleText

    public String headerTitleText()

### ip2LocationServiceAddress

    public String ip2LocationServiceAddress()

### servletPaintLogoAddress

    public String servletPaintLogoAddress()

### servletNameParameterCardImageData

    public String servletNameParameterCardImageData()

### uriHelpPageIndex

    public String uriHelpPageIndex()

### dnSaveButtonText

    public String dnSaveButtonText()

### dnPersonaCardText

    public String dnPersonaCardText()

### messageSomeErrors

    public String messageSomeErrors()

### messageErrorNumber

    public String messageErrorNumber()

### dnCardListTitleText

    public String dnCardListTitleText()

### dnWelcomeText

    public String dnWelcomeText()

### dnPreferencesMenuItemText

    public String dnPreferencesMenuItemText()

### dnImportCardMenuItemText

    public String dnImportCardMenuItemText()

### dnBackupDataMenuItemText

    public String dnBackupDataMenuItemText()

### dnRestoreDataMenuItemText

    public String dnRestoreDataMenuItemText()

### dnCardDetailsTabTitleText

    public String dnCardDetailsTabTitleText()

### dnHistoryTabTitleText

    public String dnHistoryTabTitleText()

### dnDetailsPinLockedLabelText

    public String dnDetailsPinLockedLabelText()

### dnDetailsCategoryChooserLabelText

    public String dnDetailsCategoryChooserLabelText()

### dnDetailsNewCategoryMenuItemText

    public String dnDetailsNewCategoryMenuItemText()

### dnHistoryDescriptionLabelText

    public String dnHistoryDescriptionLabelText()

### dnHistorySitesTableUrlColumnTitleText

    public String dnHistorySitesTableUrlColumnTitleText()

### dnHistorySitesTableUpdatedColumnTitleText

    public String dnHistorySitesTableUpdatedColumnTitleText()

### dnHistoryPaginationLabel1Text

    public String dnHistoryPaginationLabel1Text()

### dnHistoryPaginationLabel2Text

    public String dnHistoryPaginationLabel2Text()

### dnDetailsConfirmDeleteCardDialogTitleText

    public String dnDetailsConfirmDeleteCardDialogTitleText()

### dnDetailsConfirmDeleteCardDialogDescriptionText

    public String dnDetailsConfirmDeleteCardDialogDescriptionText()

### dnDetailsConfirmDuplicationCardDialogTitleText

    public String dnDetailsConfirmDuplicationCardDialogTitleText()

### dnDetailsConfirmDuplicationCardDialogDescriptionText

    public String dnDetailsConfirmDuplicationCardDialogDescriptionText()

### dnDetailsConfirmDuplicationCardDialogNameLabelText

    public String dnDetailsConfirmDuplicationCardDialogNameLabelText()

### dnDetailsConfirmDuplicationCardDialogCategoryLabelText

    public String dnDetailsConfirmDuplicationCardDialogCategoryLabelText()

### dnDetailsConfirmNewCategoryDialogTitleText

    public String dnDetailsConfirmNewCategoryDialogTitleText()

### dnDetailsConfirmNewCategoryDialogDescriptionText

    public String dnDetailsConfirmNewCategoryDialogDescriptionText()

### dnDetailsCardActionsLabelText

    public String dnDetailsCardActionsLabelText()

### dnEditCardTitleText

    public String dnEditCardTitleText()

### dnNewCardTitleText

    public String dnNewCardTitleText()

### dnEditCardDescriptionText

    public String dnEditCardDescriptionText()

### dnCreateCardDescriptionText

    public String dnCreateCardDescriptionText()

### dnLevel0ClaimTitleText

    public String dnLevel0ClaimTitleText()

### dnLevel1ClaimTitleText

    public String dnLevel1ClaimTitleText()

### uriImgCancelButton

    public String uriImgCancelButton()

### uriImgSaveButton

    public String uriImgSaveButton()

### uriImgChoosePictureButton

    public String uriImgChoosePictureButton()

### uriImgCardWizardButton

    public String uriImgCardWizardButton()

### uriImgAccountButton

    public String uriImgAccountButton()

### uriImgToolsButton

    public String uriImgToolsButton()

### uriImgHelpButton

    public String uriImgHelpButton()

### uriImgLogonButton

    public String uriImgLogonButton()

### uriImgLogoutButton

    public String uriImgLogoutButton()

### uriImgDetailsPreviousCardButton

    public String uriImgDetailsPreviousCardButton()

### uriImgDetailsNextCardButton

    public String uriImgDetailsNextCardButton()

### uriImgDetailsEditCardButton

    public String uriImgDetailsEditCardButton()

### uriImgDetailsCopyCardButton

    public String uriImgDetailsCopyCardButton()

### uriImgDetailsDeleteCardButton

    public String uriImgDetailsDeleteCardButton()

### uriImgHistoryPreviousPageButton

    public String uriImgHistoryPreviousPageButton()

### uriImgHistoryNextPageButton

    public String uriImgHistoryNextPageButton()

### uriImgCancelButtonOver

    public String uriImgCancelButtonOver()

### uriImgSaveButtonOver

    public String uriImgSaveButtonOver()

### uriImgChoosePictureButtonOver

    public String uriImgChoosePictureButtonOver()

### uriImgCardWizardButtonOver

    public String uriImgCardWizardButtonOver()

### uriImgAccountButtonOver

    public String uriImgAccountButtonOver()

### uriImgToolsButtonOver

    public String uriImgToolsButtonOver()

### uriImgHelpButtonOver

    public String uriImgHelpButtonOver()

### uriImgLogonButtonOver

    public String uriImgLogonButtonOver()

### uriImgLogoutButtonOver

    public String uriImgLogoutButtonOver()

### uriImgDetailsPreviousCardButtonOver

    public String uriImgDetailsPreviousCardButtonOver()

### uriImgDetailsNextCardButtonOver

    public String uriImgDetailsNextCardButtonOver()

### uriImgDetailsEditCardButtonOver

    public String uriImgDetailsEditCardButtonOver()

### uriImgDetailsCopyCardButtonOver

    public String uriImgDetailsCopyCardButtonOver()

### uriImgDetailsDeleteCardButtonOver

    public String uriImgDetailsDeleteCardButtonOver()

### uriImgHistoryPreviousPageButtonOver

    public String uriImgHistoryPreviousPageButtonOver()

### uriImgHistoryNextPageButtonOver

    public String uriImgHistoryNextPageButtonOver()

### uriImgCancelButtonPrsed

    public String uriImgCancelButtonPrsed()

### uriImgSaveButtonPrsed

    public String uriImgSaveButtonPrsed()

### uriImgChoosePictureButtonPrsed

    public String uriImgChoosePictureButtonPrsed()

### uriImgCardWizardButtonPrsed

    public String uriImgCardWizardButtonPrsed()

### uriImgAccountButtonPrsed

    public String uriImgAccountButtonPrsed()

### uriImgToolsButtonPrsed

    public String uriImgToolsButtonPrsed()

### uriImgHelpButtonPrsed

    public String uriImgHelpButtonPrsed()

### uriImgLogonButtonPrsed

    public String uriImgLogonButtonPrsed()

### uriImgLogoutButtonPrsed

    public String uriImgLogoutButtonPrsed()

### uriImgDetailsPreviousCardButtonPrsed

    public String uriImgDetailsPreviousCardButtonPrsed()

### uriImgDetailsNextCardButtonPrsed

    public String uriImgDetailsNextCardButtonPrsed()

### uriImgDetailsEditCardButtonPrsed

    public String uriImgDetailsEditCardButtonPrsed()

### uriImgDetailsCopyCardButtonPrsed

    public String uriImgDetailsCopyCardButtonPrsed()

### uriImgDetailsDeleteCardButtonPrsed

    public String uriImgDetailsDeleteCardButtonPrsed()

### uriImgHistoryPreviousPageButtonPrsed

    public String uriImgHistoryPreviousPageButtonPrsed()

### uriImgHistoryNextPageButtonPrsed

    public String uriImgHistoryNextPageButtonPrsed()

### uriImgDatePicker

    public String uriImgDatePicker()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD